Description

Support Anfrage:

Hi Team,

We are using ATDF. Currently the ATDF is deployed on a virtual machine part of continuous integration/continuous build.

We would like to know the following details so that we can optimize the runs.

1)      Optimal hardware requirement for ATDF to run : RAM, CPU, Processor configuration.

2)      OS Supported : Windows, Linux, Mac OS etc

3)      Virtual Machine Support : Yes or No

4)      Is DOCKER image of ATDF is available : Yes or No

Lösung:

1) Optimal hardware requirement for ATDF to run : RAM, CPU, Processor configuration.

 This is not specified yet and depends on your setup and configuration.

But we have a task to achieve this for some basic use cases.

For basic setup I would suggest to use 8GB RAM, Dual Core CPU.

If you need excessive UI algorithm, provide a afst GPU and maybe extend CPU and RAM.

But as mentioned, the limitation depends on your use case and setup and is hard to common specify.

2) OS Supported : Windows, Linux, Mac OS etc

 You have to differ between ADTF 2.x and ADTF 3.x following available and only supported environments:

ADTF 2.x

Win7 64Bit VS2010 VC100

Ubuntu 14.04 64Bit GCC 4.8

ADTF 3.x

Win7 64Bit VS2015 VC140

Ubuntu 16.04 64Bit GCC 5.4

Ubuntu 16.04 64Bit ARMv8 GCC 5.4 (only BETA)

ADTF 3.x will be upgraded, not supported/available yet
Win10 64Bit VS2017 VC141

Ubuntu 16.04 64Bit ARMv8 GCC 5.4

3) Virtual Machine Support : Yes or No

 The given setups will be supported on Virtual Machines, but there are some issues about scaling, processing and other troubles

regarding especially Qt/QML so we recommend using a native setup and have to analyze and differ each single setup.

So no blind guarantee can be given in general.

4) Is DOCKER image of ATDF is available : Yes or No

 No, ADTF is delivered as installer.

This will be changed to an upcoming version to deploy as archive, but only for the framework itself and not as complete docker.

History

#1 - 2018-08-09 12:12 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to DAIMLER

#2 - 2018-08-09 12:27 - hidden

- Status changed from In Progress to Customer Feedback Required

Dear Musthaq,

1) Optimal hardware requirement for ATDF to run : RAM, CPU, Processor configuration.

 This is not specified yet and depends on your setup and configuration.

But we have a task to achieve this for some basic use cases.

For basic setup I would suggest to use 8GB RAM, Dual Core CPU.

If you need excessive UI algorithm, provide a afst GPU and maybe extend CPU and RAM.

But as mentioned, the limitation depends on your use case and setup and is hard to common specify.

2) OS Supported : Windows, Linux, Mac OS etc

 You have to differ between ADTF 2.x and ADTF 3.x following available and only supported environments:

ADTF 2.x

Win7 64Bit VS2010 VC100

Ubuntu 14.04 64Bit GCC 4.8

ADTF 3.x

Win7 64Bit VS2015 VC140

Ubuntu 16.04 64Bit GCC 5.4

Ubuntu 16.04 64Bit ARMv8 GCC 5.4 (only BETA)

ADTF 3.x will be upgraded, not supported/available yet

Win10 64Bit VS2017 VC141

Ubuntu 16.04 64Bit ARMv8 GCC 5.4

3) Virtual Machine Support : Yes or No

 The given setups will be supported on Virtual Machines, but there are some issues about scaling, processing and other troubles regarding especially

Qt/QML so we recommend using a native setup and have to analyze and differ each single setup.

So no blind guarantee can be given in general.

4) Is DOCKER image of ATDF is available : Yes or No
 No, ADTF is delivered as installer.

This will be changed to an upcoming version to deploy as archive, but only for the framework itself and not as complete docker.

#4 - 2018-08-17 08:33 - hidden

Hello Musthaq Ahamed,

can this ticket be closed?

Please give us feedback until 21.08.2018

Best regards,

Michael

#6 - 2018-08-22 12:56 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

- Affected Products ADTF 2.14.2, ADTF 3.3.3 added

- Platform Ubuntu 16.04 64bit, Windows 7 64bit added

No customer feedback - Ticket can be closed

#7 - 2018-08-28 16:45 - hidden

- Project changed from 9 to Public Support

- Description updated

- Status changed from To Be Closed to Closed

#8 - 2018-09-11 17:07 - hidden

- Private changed from Yes to No
